<?php

/*
Plugin Name: Contact Form DB Divi
Plugin URI: https://www.learnhowwp.com/divi-contact-form-db/
Description: The plugin saves all form submission made to Divi forms in the WordPress backend.
Version: 1.0.1
Author: Learnhowwp.com
Author URI: https://learnhowwp.com
License: GPL2
*/
// A global variable to check if the version of the plugin is the free version
global  $is_free_version ;
//======================================================================================
//======================================================================================

if ( !function_exists( 'lwp_cfdd_fs' ) ) {
    // Create a helper function for easy SDK access.
    function lwp_cfdd_fs()
    {
        global  $lwp_cfdd_fs ;
        
        if ( !isset( $lwp_cfdd_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $lwp_cfdd_fs = fs_dynamic_init( array(
                'id'             => '12368',
                'slug'           => 'contact-form-db-divi',
                'type'           => 'plugin',
                'public_key'     => 'pk_8adb28c6b3dfc2364477c03a441d8',
                'is_premium'     => false,
                'premium_suffix' => 'Pro',
                'has_addons'     => false,
                'has_paid_plans' => true,
                'anonymous_mode' => true,
                'trial'          => array(
                'days'               => 7,
                'is_require_payment' => false,
            ),
                'menu'           => array(
                'slug' => 'edit.php?post_type=lwp_form_submission',
            ),
                'is_live'        => true,
            ) );
        }
        
        return $lwp_cfdd_fs;
    }
    
    // Init Freemius.
    lwp_cfdd_fs();
    // Signal that SDK was initiated.
    do_action( 'lwp_cfdd_fs_loaded' );
}

//======================================================================================
//======================================================================================
// Initialize the global variable to check the version of plugin being used
$is_free_version = !lwp_cfdd_fs()->is__premium_only();
//======================================================================================
require_once plugin_dir_path( __FILE__ ) . 'includes/class-lwp-cfdb-form-submission-cpt.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/class-lwp-cfdb-form-submission-meta-boxes.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/class-lwp-cfdb-form-submission-creator.php';
//======================================================================================
new Lwp_Cfdb_Form_Submission_CPT();
new Lwp_Cfdb_Form_Submission_Meta_Boxes();
new Lwp_Cfdb_Form_Submission_Creator();
//======================================================================================